"""
    Setup for pypi.
"""

from setuptools import setup, find_packages

with open("README.md", "r") as f:
    long_description = f.read()

setup(
    name='bx-zmq',
    version='0.2.1',

    author='Oliver Borchert',
    author_email='borchero@icloud.com',

    description='Easy messaging with ZMQ.',
    long_description=long_description,
    long_description_content_type='text/markdown',

    url='https://github.com/borchero/bxzmq-python',
    packages=['bx.zmq'],
    classifiers=[
        "Programming Language :: Python :: 3"
    ],
    install_requires=[
        'pyzmq'
    ],

    license='Apache License Version 2.0',
    zip_safe=False
)
